OpenSubdiv: StencilTableFactoryReal< REAL >::Options Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
StencilTableFactoryReal< REAL >::Options Struct Reference

`#include <stencilTableFactory.h>`

## Public Member Functions
| Options ()

## Public Attributes
unsigned int | interpolationMode: 2
| interpolation mode More...
unsigned int | generateOffsets: 1
| populate optional "_offsets" field More...
unsigned int | generateControlVerts: 1
| generate stencils for control-vertices More...
unsigned int | generateIntermediateLevels: 1
| vertices at all levels or highest only More...
unsigned int | factorizeIntermediateLevels: 1
unsigned int | maxLevel: 4
| generate stencils up to 'maxLevel' More...
unsigned int | fvarChannel

## Detailed Description

template<typename REAL>
struct OpenSubdiv::OPENSUBDIV_VERSION::Far::StencilTableFactoryReal< REAL >::Options

Definition at line 61 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

## ◆ Options()

Options | ( |  | ) |
| inline

Definition at line 63 of file stencilTableFactory.h.

## Member Data Documentation

## ◆ factorizeIntermediateLevels

unsigned int factorizeIntermediateLevels

accumulate stencil weights from control vertices or from the stencils of the previous level

Definition at line 75 of file stencilTableFactory.h.

## ◆ fvarChannel

unsigned int fvarChannel

face-varying channel to use when generating face-varying stencils

Definition at line 79 of file stencilTableFactory.h.

## ◆ generateControlVerts

unsigned int generateControlVerts

generate stencils for control-vertices

Definition at line 73 of file stencilTableFactory.h.

## ◆ generateIntermediateLevels

unsigned int generateIntermediateLevels

vertices at all levels or highest only

Definition at line 74 of file stencilTableFactory.h.

## ◆ generateOffsets

unsigned int generateOffsets

populate optional "_offsets" field

Definition at line 72 of file stencilTableFactory.h.

## ◆ interpolationMode

unsigned int interpolationMode

interpolation mode

Definition at line 71 of file stencilTableFactory.h.

## ◆ maxLevel

unsigned int maxLevel

generate stencils up to 'maxLevel'

Definition at line 78 of file stencilTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/stencilTableFactory.h